summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>1999-03-28 20:36:04 +0000
committercvs2svn <cvs2svn@FreeBSD.org>1999-03-28 20:36:04 +0000
commitbd1671d6f045557237c68455fb39cbdbae84650b (patch)
treeb36962a79c582714602ea374b819a97f3bec2e1a /etc
parent5f9afe8c64bba3eb105c83567505529ca26e6a78 (diff)
downloadFreeBSD-src-bd1671d6f045557237c68455fb39cbdbae84650b.zip
FreeBSD-src-bd1671d6f045557237c68455fb39cbdbae84650b.tar.gz
This commit was manufactured by cvs2svn to create branch 'NETBSD'.
Diffstat (limited to 'etc')
-rw-r--r--etc/rc.d/isdnd44
-rw-r--r--etc/rc.d/sysctl13
-rw-r--r--etc/rc.shutdown26
3 files changed, 83 insertions, 0 deletions
diff --git a/etc/rc.d/isdnd b/etc/rc.d/isdnd
new file mode 100644
index 0000000..ec159cc
--- /dev/null
+++ b/etc/rc.d/isdnd
@@ -0,0 +1,44 @@
+#!/bin/sh
+#---------------------------------------------------------------------------
+#
+# /etc/rc.isdn - isdn4bsd startup script
+# --------------------------------------
+#
+# last edit-date: [Tue Jan 12 15:35:36 1999]
+#
+# $Id:$
+#
+#---------------------------------------------------------------------------
+
+if [ "X${isdn_enable}" = X"YES" ] ; then
+
+ # terminal type for fullscreen mode, default to syscons driver
+ isdn_ttype=cons25
+
+ # check for pcvt driver (VT100/VT220 emulator)
+ if [ -x /usr/sbin/ispcvt ] ; then
+ if /usr/sbin/ispcvt ; then
+ isdn_ttype=pcvt25
+ fi
+ fi
+
+ if [ "X${isdn_flags}" = X"NO" ] ; then
+ isdn_flags=""
+ fi
+
+ # start the isdn daemon
+ if [ -x /usr/sbin/isdnd ] ; then
+ echo -n ' isdnd'
+ if [ "X${isdn_fsdev}" = X"NO" ] ; then
+ /usr/sbin/isdnd ${isdn_flags}
+ else
+ /usr/sbin/isdnd ${isdn_flags} -f -r ${isdn_fsdev} -t ${isdn_ttype}
+ fi
+ fi
+
+ # start isdntrace
+ if [ "X${isdn_trace}" = X"YES" -a -x /usr/sbin/isdntrace ] ; then
+ echo -n ' isdntrace'
+ nohup /usr/sbin/isdntrace ${isdn_traceflags} >/dev/null 2>&1 &
+ fi
+fi
diff --git a/etc/rc.d/sysctl b/etc/rc.d/sysctl
new file mode 100644
index 0000000..8b1f447
--- /dev/null
+++ b/etc/rc.d/sysctl
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# Read in /etc/sysctl.conf and set things accordingly
+#
+# $Id:$
+if [ -f /etc/sysctl.conf ]; then
+ 3< /etc/sysctl.conf
+ while read 0<&3 var;
+ do
+ sysctl -w $var
+ done
+ 3<&-
+fi
diff --git a/etc/rc.shutdown b/etc/rc.shutdown
new file mode 100644
index 0000000..f935834
--- /dev/null
+++ b/etc/rc.shutdown
@@ -0,0 +1,26 @@
+#!/bin/sh
+# $Id$
+
+# site-specific closing actions for daemons run by init on shutdown
+# or before going single-user from multi-user.
+# Output and errors are directed to console by init, and the
+# console is the controlling terminal.
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+# shell catches SIGQUIT (3) and returns to single user after fsck.
+trap : 2
+trap : 3 # shouldn't be needed
+
+HOME=/; export HOME
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin
+export PATH
+
+echo -n Shutting down daemon processes:
+
+# Insert shutdown procedures here
+
+
+echo '.'
+exit 0
OpenPOWER on IntegriCloud